package AtomType;
@ISA=qw(chemistry);
$SIG2RAD=0.59;

sub new {
	my $class=shift;
	$self={};
	cless $self;
}

sub id {
	my ($self,$id) = @_;
	$self->{id} = $id if defined $id;
	return $self->{id};
}
sub mw {
	my ($self,$mw) = @_;
	$self->{mw} = $mw if defined $mw;
	return $self->{mw};
}
sub rvdw {
	my ($self,$rvdw) = @_;
	if (defined $rvdw) {
		$self->{rvdw} = $rvdw;
		$self->{sig} = $rvdw/SIG2RAD;
	}
	return $self->{rvdw};
}
sub eps {
	my ($self,$eps) = @_;
	$self->{eps} = $eps if defined $eps;
	return $self->{eps};
}
sub sig {
	my ($self,$sig) = @_;
	if (defined $sig) {
		$self->{sig} = $sig;
		$self->{rvdw} = $sig * $SIG2RAD;
	};
	return $self->{sig};
}


"1";


